/* ************************************************************************
#
#  DivConq
#
#  http://divconq.com/
#
#  Copyright:
#    Copyright 2012 eTimeline, LLC. All rights reserved.
#
#  License:
#    See the license.txt file in the project's top-level directory for details.
#
#  Authors:
#    * Andy White
#
************************************************************************ */
package divconq.struct;

import divconq.schema.DataType;


abstract public class ScalarStruct extends Struct {
	abstract public Object getGenericValue();
	abstract public void adaptValue(Object v);
	
	public ScalarStruct() {
	}
	
	public ScalarStruct(DataType type) {
		super(type);
	}

	abstract public int compare(Object y);
	
	// just a reminder of the things to override in types

	@Override
	abstract public boolean equals(Object obj);

	@Override
	abstract public int hashCode();
}
